Bug 494800 - AVC denial(s) in hp-sendfax / 2
AVC denial(s) in hp-sendfax / 2
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Miroslav Grepl
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-08 03:29 EDT by Gilboa Davara
Modified: 2009-11-18 08:04 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-18 08:04:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gilboa Davara 2009-04-08 03:29:35 EDT
Trying to send fax - getting AVC denials.
Seems to be new. (hp-sendfax worked just fine since the last SELinux fix https://bugzilla.redhat.com/show_bug.cgi?id=476183)

$ sealert -l 371f6111-9f1a-46d9-aaaf-46246ad4e49c

Summary:

SELinux is preventing the python from using potentially mislabeled files
(hpfax-pipe-60).                                                        

Detailed Description:

SELinux has denied python access to potentially mislabeled file(s)
(hpfax-pipe-60). This means that SELinux will not allow python to use these
files. It is common for users to edit files in their home directory or tmp 
directories and then move (mv) them to system directories. The problem is that
the files end up with the wrong file context which confined applications are not
allowed to access.                                                              

Allowing Access:

If you want python to access this files, you need to relabel them using
restorecon -v 'hpfax-pipe-60'. You might want to relabel the entire directory
using restorecon -R -v '<Unknown>'.                                          

Additional Information:

Source Context                system_u:system_r:hplip_t:s0-s0:c0.c1023
Target Context                system_u:object_r:tmp_t:s0              
Target Objects                hpfax-pipe-60 [ fifo_file ]             
Source                        python
Source Path                   /usr/bin/python
Port                          <Unknown>
Host                          gilboa-home-srv
Source RPM Packages           python-2.5.2-1.fc10
Target RPM Packages
Policy RPM                    selinux-policy-3.5.13-53.fc10
Selinux Enabled               True
Policy Type                   targeted
MLS Enabled                   True
Enforcing Mode                Enforcing
Plugin Name                   home_tmp_bad_labels
Host Name                     gilboa-home-srv
Platform                      Linux gilboa-home-srv
                              2.6.27.19-170.2.35.fc10.x86_64 #1 SMP Mon Feb 23
                              13:00:23 EST 2009 x86_64 x86_64
Alert Count                   1
First Seen                    Wed Apr  8 10:19:15 2009
Last Seen                     Wed Apr  8 10:19:15 2009
Local ID                      371f6111-9f1a-46d9-aaaf-46246ad4e49c
Line Numbers

Raw Audit Messages

node=gilboa-home-srv type=AVC msg=audit(1239175155.140:9720): avc:  denied  { create } for  pid=13459 comm="python" name="hpfax-pipe-60" scontext=system_u:system_r:hplip_t:s0-s0:c0.c1023 tcontext=system_u:object_r:tmp_t:s0 tclass=fifo_file

node=gilboa-home-srv type=SYSCALL msg=audit(1239175155.140:9720): arch=c000003e syscall=133 success=no exit=-13 a0=1f2d694 a1=11b6 a2=0 a3=0 items=0 ppid=4895 pid=13459 auid=4294967295 uid=0 gid=7 euid=0 suid=0 fsuid=0 egid=7 sgid=7 fsgid=7 tty=(none) ses=4294967295 comm="python" exe="/usr/bin/python" subj=system_u:system_r:hplip_t:s0-s0:c0.c1023 key=(null)
Comment 1 Daniel Walsh 2009-04-08 08:56:26 EDT
Miroslav add


type hplip_tmp_t;
files_tmp_file(hplip_tmp_t)

manage_fifo_files_pattern(hplip_t, hplip_tmp_t, hplip_tmp_t)
files_tmp_filetrans(hplip_t, hplip_tmp_t, fifo_file )
Comment 2 Miroslav Grepl 2009-04-14 12:47:52 EDT
Fixed in selinux-policy-3.5.13-56.fc10
Comment 3 Gilboa Davara 2009-04-15 00:25:02 EDT
Thanks.
Koji or update-testing?

- Gilboa
Comment 4 Miroslav Grepl 2009-04-15 05:02:13 EDT
Fow now you can download it from koji,
Comment 5 Gilboa Davara 2009-04-30 10:30:28 EDT
Seems to working just fine.
I'll reopen if I see anything new.

- Gilboa
Comment 6 Bug Zapper 2009-11-18 06:42:32 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Daniel Walsh 2009-11-18 08:04:48 EST
Closing as closed in the current release.

Note You need to log in before you can comment on or make changes to this bug.